Sign inGet started

Create allow/block rule

POST
/workspaces/{workspaceId}/conversation-allowblock-rules
Allow/Block rules are an abuse prevention mechanism that allows you to define an allow-list and a block-list indicating whether a conversation can be start for a given contact.
Verzoek-payload
category
string
verplicht
The category of the AllowBlockRule.
Possible values: all, domain, domain_suffix, email
type
string
verplicht
The type of the AllowBlockRule.
Possible values: allow, reject, suspend
value
string
verplicht
Antwoord-payload
category
string
verplicht
The category of the AllowBlockRule.
Possible values: all, domain, domain_suffix, email
createdAt
string
verplicht
createdBy
string
verplicht
id
string
verplicht
type
string
verplicht
The type of the AllowBlockRule.
Possible values: allow, reject, suspend
updatedAt
string
verplicht
updatedBy
string
verplicht
value
string
verplicht
workspaceId
string
verplicht
Codevoorbeeld
curl -X POST 'https://api.bird.com/workspaces/{workspaceId}/conversation-allowblock-rules' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'

Examples

Codevoorbeeld
curl -X POST "https://api.bird.com/workspaces/a1405560-c8d3-4b1a-877d-3f449ad95352/conversation-allowblock-rules" \
-H "Content-Type: application/json" \
-H "Authorization: AccessKey abcd" \
-d '{
  "category": "domain",
  "value": "test.com",
  "type": "reject"
}'